// src/DashedRoundButton.js
import React from 'react';
import PropTypes from 'prop-types';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faArrowUp, faArrowDown, faArrowLeft, faArrowRight } from '@fortawesome/free-solid-svg-icons';
import 'bootstrap/dist/css/bootstrap.min.css';

const DashedRoundButton = ({ direction }) => {
  const iconMap = {
    up: faArrowUp,
    down: faArrowDown,
    left: faArrowLeft,
    right: faArrowRight,
  };

  const icon = iconMap[direction];

  return (
    <button
      style={{
        borderRadius: '50%',
        border: '2px dashed',
        backgroundColor: '#007bff',
        color: 'white',
        width: '50px',
        height: '50px',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
      }}
    >
      <FontAwesomeIcon icon={icon} />
    </button>
  );
};

DashedRoundButton.propTypes = {
  direction: PropTypes.oneOf(['up', 'down', 'left', 'right']).isRequired,
};

export default DashedRoundButton;
